const { MenuItem } = require('../models'); // Stellen Sie sicher, dass das Modell korrekt importiert wird
const fetchMenuData = require('../utils/fetchMenuData');

exports.getMenuData = async (req, res) => {
  try {
    const menuData = await fetchMenuData();
    res.json(menuData);
  } catch (error) {
    res.status(500).send('Error fetching menu data');
  }
};

exports.saveMenuData = async (req, res) => {
  try {
    const menuData = req.body;
    await MenuItem.destroy({ where: {} });
    await MenuItem.bulkCreate(menuData, { include: [{ model: MenuItem, as: 'submenu' }] });
    res.status(200).send('Menü-Daten erfolgreich gespeichert');
  } catch (error) {
    console.error('Fehler beim Speichern der Menü-Daten:', error);
    res.status(500).send('Fehler beim Speichern der Menü-Daten');
  }
};
